org.eclipse.emf.cdo.common.id

## Interface CDOReference<OBJECT>

- All Known Subinterfaces:
    CDOObjectReference
  All Known Implementing Classes:
    CDOIDReference

      public interface CDOReference<OBJECT>

  Represents a reference from one object to another object, possibly `CDOID` or CDOObject typed.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_INDEX`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EStructuralFeature` | `getSourceFeature()` Returns the source `EReference` or the source `EAttribute` if the source feature is a `FeatureMap`.
    `int` | `getSourceIndex()`
    `OBJECT` | `getSourceObject()`
    `OBJECT` | `getTargetObject()`

- - ### Field Detail

    - #### NO_INDEX

          static final int NO_INDEX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getTargetObject

          OBJECT getTargetObject()

    - #### getSourceObject

          OBJECT getSourceObject()

    - #### getSourceFeature

          EStructuralFeature getSourceFeature()

      Returns the source `EReference` or the source `EAttribute` if the source feature is a `FeatureMap`.

    - #### getSourceIndex

          int getSourceIndex()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html